Get Project Metadata Configuration

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SmartPM Public API MCP server": {
  "url": "https://developers.smartpm.com/mcp"
}
Close
GET /public/v1/project-metadata

Headers

  • X-COMPANY-ID string Required

Responses

  • 500 */*

    Internal Server Error

  • 200 */*

    OK

    One of:
GET /public/v1/project-metadata
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/project-metadata' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (500)
{}
Response examples (200)
[
  {
    "id": 42,
    "required": true,
    "companyId": "string",
    "displayOrder": 42,
    "defaultValue": "string",
    "uniqueKey": "string",
    "apiName": "string",
    "name": "string",
    "type": "string"
  }
]